:root {
    --negro: #262626;
    --blanco: #f2f2f2;
    --gris: #404040;
    --rojo: #990000;

    --rosa: #e4007c;
    --naranja: #FF512F;
    --azul: #0080ff;
    --azul-oscuro: #003973;
    --violeta: #6800e4;
    --background: #1a1a1a;
}

@font-face {
    font-family: 'Montserrat300';
    src: url('fonts/Montserrat300.woff2') format('woff2');
}
@font-face {
    font-family: 'Montserrat600';
    src: url('fonts/Montserrat600.woff2') format('woff2');
}

/* Reseteo de estilos */
* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;

    /*for debugging
      outline: 2px solid limegreen !important;
      background-color: rgb(0 100 0 / 0.1) !important;
    */
}

html {
    scroll-behavior: smooth;
    font-family: 'Montserrat300', system-ui, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 300;
    line-height: 1.5;

    /*scroll-padding-top: 100px;*/
    /* Para evitar que el navbar cubra el contenido al dar clic en una opcion del menu */
}

h1,
h2,
h3,
h4,
h5 {
    font-family: 'Montserrat600', system-ui, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 600;
}

img {
    max-width: 100%;
    display: block;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
}

.formulario input,
.formulario select,
.formulario textarea,
.form-preguntas input,
.form-preguntas textarea,
#resetForm input {
    font: inherit;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 1em;
    border-radius: 6px;
    border: 1px solid #999;
    outline: none;
    width: 100%;
    height: 3rem;
    padding: .5em 1em;
    margin-bottom: 1rem;
    display: flex;
    align-items: center;
}
  
.formulario select {
    background: var(--blanco);
}

.formulario label {
    color: #404040;
    display: block;
    font-size: 1em;
    text-transform:capitalize;
    margin-bottom: .5rem;
    letter-spacing: 2px;
}

textarea {
    resize: none;
    field-sizing: content;
}

#resetForm {
    max-width: 300px;
}

#resetForm p {
    margin-bottom: 1rem;
}

.form-preguntas {
    max-width: 300px;
    padding: 2rem 0;
}

.form-preguntas h4 {
    margin-bottom: 1rem;
}


/* Divide el contenido en columnas iguales */
.split-columns {
    display: flex;
    flex-direction: column;
}

@media (min-width: 40em) {

    /* 40em = 640px */
    .split-columns {
        flex-direction: row;
    }

    .split-columns>* {
        flex-basis: 100%;
    }
}

/* Para centrar texto o div */
.centrado-flex {
    display: flex;
    justify-content: center;
    align-items: center;
}

.centrado-grid {
    display: grid;
    place-items: center;
}

/*
  Botones generales
*/
.btn {
    cursor: pointer;
    font-family: inherit;
    font-size: 1em;
    border-radius: 100vmax;
    text-transform: uppercase;
    text-shadow: 2px 2px 3px rgb(136 0 136 / 50%);
    letter-spacing: 3px;
    color: var(--blanco);
    background: var(--azul);
    border: 1px solid var(--blanco);
    padding: .5em 1.2em;
    outline: none;
    box-shadow: 0px 8px 15px rgba(0, 0, 0, .2);
    width: fit-content;
    transition: all .3s ease;
}

.btn:hover {
    background: #004d99;
    box-shadow: 8px 8px 15px rgba(0, 0, 0, 0.6);
}




/*
    Botón para agregar al carrito
*/
.button-add-to-cart {  
    letter-spacing: 1px;
}


.btn-a a {
    text-decoration: none;
    font-size: .9em;
    letter-spacing: 2px;
}

.btn-a a:hover {
    color: #404040;
}


/*
  Menu
*/
.menu-header {
    background: transparent;

    position: absolute;
    top: 4rem;
    left: 0;
    width: 100%;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 4rem;
    z-index: 999;
}

.logo {
    text-decoration: none;
}

.logo p {
    font-size: 1.5em;
    font-weight: bolder;
    color: var(--negro);
    text-shadow: 5px 5px 8px rgba(255, 255, 255, 0.5);
}

.menu-header .navbar {
    position: relative;
    width: 50dvw;
    display: flex;
    justify-content: space-around;
}

.menu-header .navbar a {
    position: relative;
    color: #FFF;
    text-shadow: 2px 2px 3px rgb(136 0 136 / 50%);
    font-weight: bolder;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 2px;
}

.menu-header .navbar #marker {
    position: absolute;
    left: 0;
    bottom: -8px;
    height: 2px;
    width: 0;
    background: var(--blanco);
    border-radius: 10px;
    transition: 0.5s;
}

/*
    Para hacer el menu-header fixed
*/
.menu-header.slidedown {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background: var(--azul);
    animation: slideDown .5s ease forwards;
}
@keyframes slideDown {
    from {
        top: -4rem;
    }
    to {
        top: 0;
        box-shadow: 0 2px 8px rgba(0, 0, 0, .5);
    }
}


/*
    Efecto hover en botones y anchor text
*/
.menu-button {
    padding: 0.8em 1.2em;
    margin: 0 1rem;
    color: var(--blanco);
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 3px;
    transition: all .5s ease;
}

.menu-button:hover {
    border-radius: 5px;
    color: var(--rosa);
    background-color: var(--blanco);
}

.menu-header .icons {
    /* width: 10vw; */
    display: flex;
    justify-content: space-between;
    gap: 1rem;
}

.menu-header .icons img {
    width: 24px;
    cursor: pointer;
}

.header-cart {
    padding-top: 1rem;
    display: flex;
    justify-content: space-between;
}

.close-login,
.close-signup,
.close-password,
.close-cart {
    width: 100%;
    cursor: pointer;
    display: flex;
    justify-content: flex-end;
}

.menu-header .icons #cart-btn {
    position: relative;
}

.menu-header .icons #cart-btn .cant-total {
    position: absolute;
    top: -1rem;
    right: 0rem;
    width: 1.2rem;
    height: 1.2rem;
    font-size: .8em;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 100px;
    background-color: rgba(242, 242, 242, 0.8);
    color: var(--negro);
}

#menu-btn {
    background-image: url('data:image/svg+xml,<svg width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="%23000000" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M4 6l16 0" /><path d="M4 12l16 0" /><path d="M4 18l16 0" /></svg>');
    display: none;
}

#user-btn,
#cart-btn {
    transition: all .5s;
}

#user-btn:hover,
#cart-btn:hover {
    cursor: pointer;
    transform: translateY(-6px);
}

.user-initials {
    display: flex;
    width: 30px;
    height: 30px;
    border-radius: 50%;
    border: 2px solid var(--azul);
    background: var(--blanco);
    color: var(--negro);
    justify-content: center;
    align-items: center;
    font-size: .7em;
    font-weight: bold;
    padding: 3px;
}

.hero {
    position: relative;
    width: 100%;
    height: 100dvh;
    min-height: 800px;
    /* background: --var(--negro); */
    /* background: url('../images/hero.jpg') no-repeat center center/cover; */
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.hero-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 0 4rem;
    z-index: 4;
}

.hero-text h1 {
    color: var(--blanco);
    font-size: 5rem;
    line-height: 1.2;
    text-shadow: 2px 2px 3px rgb(136 0 136 / 50%);
    margin-bottom: 1rem;
}

.hero-text p {
    color: var(--blanco);
    /* text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.8); */
    font-size: 1.5em;
    font-weight: 300;
    margin-bottom: 2rem;
}

.hero-image img {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    object-fit: fill;
    background-color: #003973;
    z-index: -1;
    /* animation: 1s ease-in-out 0s normal none 1 running zoomIn; */
    animation: zoomIn 60s linear 1s infinite;

}

@keyframes zoomIn {
    /*
    0% {
        transform: scale3d(.3, .3, .3);
    }
    50% {
        transform: scale3d(1.05, 1.05, 1.05);
    }
    75% {
        transform: scale3d(.9, .9, .9);
    }
    100% {
        transform: scale3d(1, 1, 1);
    }
    */
    0% {
        transform: scale(1);
    }
    
    50% {
        transform: scale(1.5);
    }
}

.hero-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    background-color: #003973;
    z-index: -1;
}

.header-navbar {
    background: #ccc;
}


/*
  Cards
*/
.card-list {
    position: relative;
    display: grid;
    place-items: center;
    /* grid-template-columns: repeat(auto-fit, minmax(260px, 1fr)); */
    grid-template-columns: repeat(auto-fit, minmax(30%, 1fr));
    gap: 2rem;
}

.card-list .card {
    position: relative;
    max-width: 350px;
    background-color: var(--blanco);
    padding: 1rem;
    border-radius: 15px;
    box-shadow: 8px 8px 10px rgba(0, 0, 0, 0.1);
}

.item_detail {
    transform: translate(100px);
    position: absolute;
    top: 0;
    right: 0;
    opacity: 0;
}

.card:hover .item_detail,
.card:active .item_detail,
.card:focus .item_detail {
    transition: top .5s ease;
    transform: translate(0);
    opacity: 1;
    top: 2rem;
    right: 2rem;
}

.card:hover .card-img img,
.card:active .card-img img,
.card:focus .card-img img {
    transform: scale(1.1);
    filter: grayscale(80%);
}

.card-list .card .card-img {
    position: relative;
    width: 100%;
    height: 310px;
    overflow: hidden;
}

.card-list .card .card-img .item-img {
    aspect-ratio: auto;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: all 1s ease;
    transform-origin: left;
}

.card-list .card .card-content {
    padding: 10px;
}

.card-list .card .card-content .card-title {
    padding: 1rem 0;
    min-height: 116.25px;
}

.card-list .card .card-content .price-rating {
    display: flex;
    justify-content: center;
    align-items: center;
}

.card-list .card .card-content .price-rating p {
    font-size: 1.1em;
    font-weight: 600;
    color: var(--gris);
}

.card-button {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 1rem;
}

.sale-price {
    text-decoration: line-through;
    font-size: .9em;
}

.ver-todos {
    width: 100%;
    display: flex;
    justify-content: center;
    padding: 2rem 0;
}

.subtitle {
    color: #404040;
    font-size: clamp(1.1em, 1.1em + 1vw, 2rem);
    font-style: italic;
    margin-bottom: 2rem;
}

.ribbon {
    position: absolute;
    left: -5px; top: -5px;
    z-index: 1;
    overflow: hidden;
    width: 75px; height: 75px;
    text-align: right;
}
.ribbon span {
    font-size: 10px;
    font-weight: bold;
    color: #FFF;
    text-transform: uppercase;
    text-align: center;
    line-height: 20px;
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
    width: 100px;
    display: block;
    background: #79A70A;
    background: linear-gradient(#CC3F47 0%, #792025 100%);
    box-shadow: 0 3px 10px -5px rgba(0, 0, 0, 1);
    position: absolute;
    top: 19px; left: -21px;
}
.ribbon span::before {
    content: "";
    position: absolute; left: 0px; top: 100%;
    z-index: -1;
    border-left: 3px solid #792025;
    border-right: 3px solid transparent;
    border-bottom: 3px solid transparent;
    border-top: 3px solid #792025;
}
.ribbon span::after {
    content: "";
    position: absolute; right: 0px; top: 100%;
    z-index: -1;
    border-left: 3px solid transparent;
    border-right: 3px solid #792025;
    border-bottom: 3px solid transparent;
    border-top: 3px solid #792025;
}


/*
  porque comprar aquí
*/
#razones {
    background-color: var(--blanco);
}

.razones {
    width: 90dvw;
    padding: 2rem;
    margin: 0 auto;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
    gap: 2rem;
}


.razon-content {
    padding: 1rem;
    overflow: hidden;
    border-radius: 6px;
    background: linear-gradient( 145deg, #e6e6e6, #fff );
    box-shadow: 8px 8px 16px #d1d1d1,
               -8px -8px 16px #fff;
    transition: all .5s ease;
}

.razon-content:hover {
    transform: scale(1.05);
}

.razon-icon {
    display: grid;
    place-content: center;
    border: 2px solid #fff;
    background-color: #d1d1d1;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    padding: .4rem;
}

.razon-content h3 {
    color: var(--gris);
    font-size: 1.5em;
    padding: 1rem 0;
}

.razon-content h4 {
    color: var(--gris);
    text-transform: capitalize;
}


/*
    Preguntas Frecuentes
  */
#faq {
    color: #666;
    background-color: var(--blanco);
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    min-height: 100vh;
    align-items: center;  
}

#faq h3 {
    color: var(--negro);
    transform: rotate(-90deg);
    letter-spacing: 5px;
    font-size: 1.5em;
}

#faq p {
    text-align: justify;
    text-wrap: pretty;
    margin-bottom: 1rem;
}

#faq a {
    color: var(--negro);
    text-decoration: underline;
    text-decoration-color: var(--negro);
}

#faq hr {
    margin-bottom: 2rem;
}

/* .faq-l,
.faq-r {
    padding: 0rem 4rem;
} */

.faq-container {
    background: #fff;
    width: 90dvw;
    max-width: 550px;
    padding: 30px 40px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    border-radius: 15px;
}

.faq-container .question {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
  
.faq-container p {
    color: hsl(292, 16%, 49%);
    font-size: 16px;
    letter-spacing: 1px;
}
  
.faq-container .question img {
    cursor: pointer;
}
  
.faq-container hr {
    border: 1px solid #d3d3d3;
}


/*
    Ingreso y Registro de usuarios
*/
.menu-header .user-access,
.menu-header .user-signup,
.menu-header .user-forgot-pwd {
    position: absolute;
    top: 80px;
    right: 2rem;
    color: var(--negro);
    background: var(--blanco);
    border: 2px solid var(--negro);
    border-radius: 15px;
    /* box-shadow: 16px -16px 20px rgba(0, 0, 0, 0.5); */
    width: 20rem;
    padding: 1rem;
    display: flex !important;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    -webkit-clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
    clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
    transition: all .3s ease;
}

.menu-header .user-access.active,
.menu-header .user-signup.active,
.menu-header .user-forgot-pwd.active {
    -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
}

.menu-header .user-access h3,
.menu-header .user-signup h3,
.menu-header .user-forgot-pwd h3 {
    color: var(--negro);
    letter-spacing: 3px;
    margin-bottom: 1rem;
    font-weight: bolder;
}

.menu-header .user-signup p,
.menu-header .user-forgot-pwd p {
    color: var(--negro);
    padding-bottom: .5em;
}

#user-signup,
#user-forgot-pwd {
    cursor: pointer;
}

#user-signup:hover,
#user-forgot-pwd:hover {
    color: #ccc;
}

.menu-header .user-access ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

.menu-header .user-access ul li:nth-child(2),
.menu-header .user-access ul li:nth-child(3),
.menu-header .user-access ul li:nth-child(4),
.menu-header .user-access ul li:nth-child(5) {
    text-align: center;
    padding-bottom: 1rem;
}

.menu-header .user-access a {
    color: var(--negro);
    text-decoration: none;
}

.menu-header .user-access a:hover {
    color: #ccc;
}

.menu-header .user-access img {
    width: 24px;
    margin-right: 1rem;
    cursor: pointer;
}

.login-user {
    color: var(--blanco);
    text-transform: uppercase;
    display: flex;
    padding-top: 1rem;
}

.txt-login {
    color: var(--negro);
}

.menu-header .user-access form p {
    color: var(--negro);
    padding-bottom: .5em;

}

.menu-header .user-access input,
.menu-header .user-signup input,
.menu-header .user-forgot-pwd input,
.password-reset input {
    width: 100%;
    height: 3rem;
    padding: 0px 1em;
    margin-bottom: 1rem;
    font: inherit;
    font-size: 1em;
    border-radius: 5px;
    outline: none;
    border: 1px solid #404040;
    color: var(--negro);
    /* caret-color: var(--rosa); */
}

.menu-header .user-access input::placeholder,
.menu-header .user-signup input::placeholder,
.menu-header .user-forgot-pwd input::placeholder,
.password-reset input::placeholder {
    color: #404040;
}

.mycheckbox {
    color: var(--negro);
    display: block;
    position: relative;
    padding-left: 2rem;
    margin-bottom: 1rem;
    cursor: pointer;
    font-size: 1em;
}

.menu-header .user-access input[type=checkbox] {
    width: initial;
    height: initial;
    margin: 0;
    padding: 0;
    visibility: hidden;
}

.checkedmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: transparent;
    border: 1px solid #404040;
    border-radius: 3px;
}

.mycheckbox:hover input~.checkedmark {
    background-color: var(--blanco);
}

.mycheckbox input:active~.checkedmark {
    background-color: var(--negro);
}

.mycheckbox input:checked~.checkedmark {
    background-color: var(--negro);
}

.checkedmark:after {
    content: "";
    position: absolute;
    display: none;
}

.mycheckbox input:checked~.checkedmark:after {
    display: block;
}

.mycheckbox .checkedmark {
    transition: all .5s;
}

.mycheckbox .checkedmark:after {
    left: 8px;
    bottom: 5px;
    width: 6px;
    height: 12px;
    border: solid var(--blanco);
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.input-container {
    position: relative;
    margin-bottom: 1rem;
}

.toggle-password {
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    background: none;
    border: none;
    outline: none;
    cursor: pointer;
    color: #666;
    padding: 5px;
}

.toggle-password svg {
    width: 20px;
    height: 20px;
    display: block;
}

.password-reset {
    color: var(--blanco);
    max-width: 30vw;
}

.password-reset p {
    padding: 1em 0 .5em 0;
}

.regresar {
    display: none;
}

.regresa a {
    color: var(--blanco);
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 3px;
}

.regresa a:hover {
    color: var(--gris);
}

.mydialog-success, .mydialog-error {
    position: absolute;
    top: 120px;
    right: 2rem;
    padding: 1rem;
    color: var(--negro);
    background: var(--blanco);
    border: 1px solid var(--negro);
    border-radius: 5px;
    box-shadow: 8px 8px 14px rgba(0, 0, 0, 0.3);
    z-index: 1000;
    display: none;
}

.mydialog-error {
    color: var(--rojo);
}


/*
    Carrito de compras
*/
.menu-header .cart-items-container {
    position: absolute;
    top: 80px;
    left: -150%;
    width: 291px;
    background: var(--blanco);
    border-radius: 5px;
    border: 4px solid var(--negro);
    padding: 1rem 1rem 2rem 1rem;
    transition: all .5s ease;
}

.menu-header .cart-items-container.active {
    left: unset;
    right: 1rem;
}

.menu-header .cart-items-container h3 {
    color: var(--violeta);
    letter-spacing: 3px;
    margin-bottom: 1rem;
}

.menu-header .cart-items-container .cart-item img {
    max-width: 60px;
    max-height: 60px;
}

.menu-header .cart-items-container .cart-item p {
    font-size: .9em;
}

.menu-header .cart-items-container .cart-item .price {
    font-size: 1em;
}

.menu-header .cart-items-container .cart-item {
    position: relative;
    margin: 1rem 0;
    padding: 0;
    display: flex;
    align-items: center;
    gap: 1rem;
}

.menu-header .cart-items-container .cart-item select {
    padding: 0;
    margin: 0;
    border: none;
    background-color: transparent;
}

.menu-header .cart-items-container .cart-item .remove-item {
    font-size: .8em;
    text-transform: uppercase;
    cursor: pointer;
    color: var(--rojo);
}

.cart-item .content .actions-cart {
    display: flex;
}


section {
    padding: 4rem;
    overflow: hidden;
}

section h2 {
    color: var(--negro);
    position: relative;
    margin-bottom: 4rem;
    text-align: center;
    letter-spacing: 5px;
    text-transform: uppercase;
    font-size: 1.8em;
}

section h2::after {
    content: '';
    position: absolute;
    bottom: -1rem;
    width: 100px;
    height: 3px;
    background-color: var(--negro);
    left: 50%;
    transform: translateX(-50%);
}

/* 

section h2::before {
    content: '';
    position: absolute;
    bottom: 0;
    width: 38px;
    height: 3px;
    background-color: var(--negro);
} */


/*
    Nosotros
*/
.nosotros-text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

.nosotros-text p {
    font-size: 1.4em;
}

.nosotros-img {
    display: flex;
    justify-content: center;
    align-items: center;
}
.nosotros-img img {
    max-height: 400px;
    border-radius: 10px;
    box-shadow: -8px 8px 15px rgba(0, 0, 0, 0.3);
}


/*
    Propiedades
*/
.iconos-caracteristicas {
    padding: 2rem 0;
    display: flex;
    justify-content: space-evenly;
}

.iconos-caracteristicas li {
    display: flex;
    justify-content: center;
    gap: 10px;
}

.iconos-caracteristicas li img {
    margin-right: 2rem;
    max-height: 25px;
}


/*
    Galeria
*/
.galeria {
    width: 100%;
    max-width: 950px;
    margin: 0 auto;
    padding: 50px 20px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    grid-auto-rows: 250px;
    grid-auto-flow: dense;
    gap: 20px;  
}

.galeria .image-box {
    position: relative;
    background-color: var(--color-background);
    overflow: hidden;
}
  
.galeria .image-box:nth-child( 7n+1 ){
    grid-column: span 2;
    grid-row: span 2;
}
  
.galeria .image-box img, .galeria .image-box video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
    transition: all .5s ease;
}
  
.galeria .image-box img:hover {
    transform: scale(1.5);
}

.btn-play img:hover {
    transform: none;
  }
  
.btn-play {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 72px;
    height: 72px;
    cursor: pointer;
    object-fit: none;
}
  
@media( max-width:768px ){

    .galeria{
      grid-template-columns: repeat( auto-fit, minmax( 250px, 1fr ));
      grid-auto-rows: 250px;
    }
  
    .galeria .image-box:nth-child( 7n +1 ){
      grid-column: unset;
      grid-row: unset;
    }
}



/*
    Detalle de artículos
*/
#detalle-articulos {
    padding: 4rem;
}

.detalle-imagen {
    padding: 2rem;
    overflow: hidden;
}

#main-image {
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: zoom-in;
    /* transform-origin: center center;*/
    width: 100%;
    max-height: 500px;
    object-fit: contain;
    /* box-shadow: rgba(38, 57, 77, 0.8) 0px 16px 20px -10px; */
}

.detalle-texto {
    border: 1px solid #ccc;
    border-radius: 12px;
    padding: 2rem;
}

.detalle-texto .precio {
    font-size: 1.2em;
}
.detalle-texto h3 {
    font-size: 1.5em;
}

.star-rating {
    color: #ffcc00;
    padding-bottom: 1rem;
}

.hiden-img {
    display: none;
}

.detalle-texto h4 {
    font-size: 1.2em;
    padding: 1rem 0;
}
.detalle-texto p {
    font-size: 1em;
    padding-bottom: 1rem;
}

.detalle-texto a {
    text-decoration: none;
    font-size: .9em;
    letter-spacing: 2px;
}

.detalle-texto a:hover {
    color: #404040;
}

.detalle-texto button {
    width: fit-content;
    margin-bottom: 2rem;
    /* background-color: var(--blanco);
    border: 1px solid var(--blanco) */
}

/* .detalle-texto button span {
    color: var(--negro);
} */


/*
Thumbnail para detalle de productos
*/
.thumbnail-prod {
    display: flex;
    padding-top: 2rem;
}

.thumbnail-prod img {
    cursor: pointer;
    height: 60px;
    object-fit: cover;
    border-radius: 3px;
    margin-right: 1rem;
    box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.3);
}

.zoom_01 {
    border: 1px solid red;
}

.mainphoto img.data-zoom {
    border: 4px solid black;
}

.opiniones-area {
    width: 100vw;
    padding: 2rem 0;

}
.user-reviews {
    width: 100vw;
    padding: 2rem 0;
}

.low-stock {
    color: red;
    font-style: italic;
    font-size: 1.2em;
}  
  
.titulos-detalle {
    color: var(--negro);
    padding: 2rem 0 1rem 0;
    text-transform: uppercase;
    display: grid;
    grid-template-columns: 60% 20% 20%;
}
  
#detalle-compra {
    padding-bottom: 2rem;
}
  
.total-compra {
    text-align: right;
    padding-bottom: 1rem;
    display: grid;
    grid-template-columns: 70% 30%;
}

.total-pagar span {
    font-size: .6em;
    padding-left: 2px;
}
  
.boton-pago {
    display: flex;
    justify-content: center;
}
.boton-pago .button {
    width: 70%;
    letter-spacing: 3px;
}

.pasarelas-de-pago {
    padding: 2rem 0;
    gap: 1rem;
    display: none;
}

#codForm label {
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 1rem;
}

#codForm label img {
    width: 100%;
    max-height: 80px;
}

.cod-btn {
    width: 100%;
    height: 45px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 25px;
    font-size: 14px;
    border: none;
    outline: none;
    color: var(--blanco);
    background-color: var(--violeta);
    margin: 1rem 0;
    transition: all ease 0.3s;
}

.cod-btn:hover {
    cursor: pointer;
    background-color: #6700e4d9;
}

.payment-title {
    color: var(--negro);
    font-size: .9em;
    padding: 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}


#instant-holacash-checkout-button,
#customButtonTriggerWidgetOpen,
#receipt,
.continuar {
    display: none;
}

#receipt {
    position: relative;
    color: #007ce4;
    border-radius: 6px;
    background: linear-gradient( 145deg, #e6e6e6, #fff );
    box-shadow: 8px 8px 16px #d1d1d1, -8px -8px 16px #fff;
    padding: 1rem 1rem 2rem 1rem;
    margin: 2rem;
    width: 100%;
    max-width: 350px;
    overflow: hidden;
}

.content-receipt {
    width: 100%;
    border-bottom: 1px solid #007ce4;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 1rem 0;
}

#receipt h2 {
    color: #007ce4;
    margin: 0;
    padding-bottom: 1rem;
    display: flex;
    justify-content: center;
}
  
#receipt h3 {
    display: flex;
    justify-content: center;
    border-bottom: 1px solid #007ce4;
    margin-bottom: 1rem;
}
.continuar {
    padding: 1rem 0;
    text-align: center;
}
  
.ad {
    text-align: right;
    padding-right: 1rem;
}
  
/*
    Botón de pago PayPal
*/
  
.stripe-button,
.paypal-payment,
.pago-cod {
    margin-top: 2rem;
    border: 1px solid #999;
    border-radius: 6px;
    width: 100%;
    text-align: center;
}

.ayuda-checkout {
    margin-top: 2rem;
    padding-bottom: 1rem;
    border: 2px solid #fff;
    border-radius: 6px;
    background-color: #e6e6e6;
    width: 100%;
}

.stripe-button {
    padding: 0 1rem;
}

.paypal-payment {
    padding: 0 1rem 1rem 1rem;
}
  
.paypal-payment p {
    margin-bottom: 1rem;
}

.pago-cod {
    padding: 0 1rem;
}
  
.stripe-button form {
    width: 100%;
    align-self: center;
    border-radius: 5px;
    padding: 1rem .5rem;
    background-color: rgba(255, 255, 255, 1);
}

.stripe-button form input,
.stripe-button input,
.ElementsApp .InputElement,
.ElementsApp input {
    border: 1px solid var(--negro);
    border-radius: 6px !important;
    margin-bottom: 6px;
    height: 44px;
    width: 100%;
    margin: 0 0 1rem 0;
    padding: .5em !important;
    font-size: 1.1em !important;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    color: #1a1a1a;
}
  
.stripe-button input:focus,
.stripe-button input:active {
    background-color: var(--blanco);
}
  
.input-email-stripe {
    display: none !important;
}
    
.checkout-button {
    height: 36px;
    background: #556cd6;
    color: var(--blanco);
    width: 100%;
    font-size: 14px;
    border: 0;
    font-weight: 500;
    cursor: pointer;
    letter-spacing: 0.6;
    border-radius: 25px;
    transition: all 0.2s ease;
    box-shadow: 0px 4px 5.5px 0px rgba(0, 0, 0, 0.07);
    margin-top: 1rem;
}
  
.checkout-button span {
    display: flex;
    align-items: center;
    justify-content: center;
}
  
.checkout-button:hover {
    filter: contrast(115%);
}
.checkout-button:disabled {
    opacity: 0.5;
    cursor: default;
}
#payment-request-button {
    margin-bottom: 32px;
}
.result-message {
    line-height: 22px;
    font-size: 16px;
}
.hidden {
    display: none;
}
#card-error {
    color: rgb(105, 115, 134);
    text-align: left;
    font-size: 13px;
    line-height: 17px;
    margin-top: 12px;
}
/* spinner/processing state, errors */
.spinner,
.spinner:before,
.spinner:after {
    border-radius: 50%;
}
.spinner {
    /* color: #ffffff; */
    font-size: 22px;
    text-indent: -99999px;
    margin: 0px auto;
    position: relative;
    width: 20px;
    height: 20px;
    box-shadow: inset 0 0 0 2px;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
}
.spinner:before,
.spinner:after {
    position: absolute;
    content: "";
}
.spinner:before {
    width: 10.4px;
    height: 20.4px;
    background: #5469d4;
    border-radius: 20.4px 0 0 20.4px;
    top: -0.2px;
    left: -0.2px;
    -webkit-transform-origin: 10.4px 10.2px;
    transform-origin: 10.4px 10.2px;
    -webkit-animation: loading 2s infinite ease 1.5s;
    animation: loading 2s infinite ease 1.5s;
}
.spinner:after {
    width: 10.4px;
    height: 10.2px;
    background: #5469d4;
    border-radius: 0 10.2px 10.2px 0;
    top: -0.1px;
    left: 10.2px;
    -webkit-transform-origin: 0px 10.2px;
    transform-origin: 0px 10.2px;
    -webkit-animation: loading 2s infinite ease;
    animation: loading 2s infinite ease;
}
@-webkit-keyframes loading {
    0% {
      -webkit-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      transform: rotate(360deg);
    }
}
@keyframes loading {
    0% {
      -webkit-transform: rotate(0deg);
      transform: rotate(0deg);
    }
    100% {
      -webkit-transform: rotate(360deg);
      transform: rotate(360deg);
    }
}
  
.titulo-opciones-pago {
    display: flex;
    align-items:center;
    justify-content: center;
    margin-bottom: 1rem;
}
  
.btn-whatsapp {
    width: 48px;
    height: 48px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
	background-color: #0df053;
	border-radius: 50px;
	box-shadow: 0px 1px 10px rgba(0,0,0,0.5);
	z-index: 10;
    transition: background-color .3s ease;
}
.btn-whatsapp:hover {
	background-color: #0ac244;
}
.btn-whatsapp::before {
    content: "";
    position: absolute;
    height: 64px;
    width: 64px;
    background-color: #b6fbcc;
    border-radius: 50px;
    opacity: 0.7;
}
.btn-whatsapp::before {
    animation: pulse 2s ease-out infinite;
}
@keyframes pulse {
    100% {
        transform: scale(2.5);
        opacity: 0;
    }
}

.check-out-footer {
    color: var(--blanco);
    padding: 2rem;
    background-color: #262626;
}

.check-out-footer h3 {
    padding: 1rem 0;
}

.check-out-footer a {
    color: yellow;
    text-decoration: inset;
}

.check-out-footer a:hover {
    color: whitesmoke;
    text-decoration: underline;
}



/*
    Perfil usuario
*/
#perfil-usuario {
    background: #ccc;
    background: -webkit-linear-gradient(0deg, rgba(228, 0, 124, 1) 0%, rgba(243, 115, 53, 1) 100%);
    background: linear-gradient(0deg, rgba(228, 0, 124, 1) 0%, rgba(243, 115, 53, 1) 100%);
}

.perfil-usuario {
    margin: 2rem 0 4rem 0;
    border-radius: 6px;
    border: 2px solid var(--blanco);
    padding: 2rem 1rem;
}
    

/*
    Contacto
*/
#contacto {
    color: var(--blanco);
    background: var(--background);
    padding: 4rem 6rem;
}

#contacto h3 {
    position: relative;
    text-transform: uppercase;
    padding-bottom: 1rem;
}

.info-contacto {
    padding: 2rem 4rem;
}

.info-contacto h3 {
    color: var(--blanco);
}

.contacto ul li a, .contacto ul li p {
    color: var(--blanco);
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-bottom: 1rem;
}

.contacto ul li a:hover {
    color: #666;
}

.contacto ul li a img, .contacto ul li p img {
    max-height: 24px;
    padding-right: 1rem;
}

.aviso-privacidad,
.aviso-legal,
.politica-cookies {
    color: var(--negro);
}

.aviso-privacidad:hover,
.aviso-legal:hover,
.politica-cookies:hover {
    color: #bfbfde;
}

#aviso,
#aviso_legal,
#politica_cookies {
    padding: 4rem;
    display: none;
}

#aviso p,
#aviso h4,
#aviso ul li,
#aviso_legal p,
#aviso_legal h4,
#aviso_legal ul li,
#politica_cookies p,
#politica_cookies h4,
#politica_cookies ul li {
    padding-bottom: 1rem;
}

#aviso ul,
#aviso_legal,
#politica_cookies ul {
    list-style: disc;
}

.cerrar-btn {
    padding: .5rem 1rem;
    border: 2px solid var(--negro);
    text-transform: uppercase;
    letter-spacing: 2px;
}

.ti-conmigo {
    color: #fff;
    background-color: #000000;
    padding: 1rem 0;
}


/*
    Formulario de contacto
*/
.contact-form {
    display: flex;
    flex-direction: column;
    padding: 0 2rem;
}

.contact-form p a {
    color: var(--blanco);
}

.contact-form h3 {
    font-size: 1.5em;
}

.contact-form label {
    margin-top: 1rem;
    margin-left: .75rem;
}

.contact-form input,
.texto-detalle-curso input,
.pago-deposito input {
    color: var(--blanco);
    font-family: 'Montserrat300', system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 1rem;
    padding: .75rem;
    width: 100%;
    outline: none;
    border: 1px solid var(--gris);
    border-radius: 6px;
    background: none;
    margin-bottom: 1rem;
}

.contact-form textarea,
.texto-detalle-curso textarea {
    color: var(--blanco);
    outline: none;
    border: 1px solid var(--gris);
    border-radius: 6px;
    font-family: 'Montserrat300', system-ui, -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    font-size: 1rem;
    padding: .75rem;
    width: 100%;
    background: none;
}

.form-btn {
    cursor: pointer;
    color: var(--blanco);
    background: var(--violeta);
    border-radius: .3em;
    border: none;
    outline: none;
    padding: .75rem 1rem;
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: .9em;
    text-transform: uppercase;
    letter-spacing: 3px;
    transition: bacground 1s ease;
}

.form-btn img {
    height: 18px;
}

.form-btn:hover {
    background: #811aff;
}

.error {
    color: var(--rojo);
    margin-top: -1rem;
    padding-bottom: 1rem;
    display: none;
}

.gracias {
    text-align: center;
    padding: 1rem 0;
    display: none;
}

.gracia-review {
    display: none;
}


/*
    Para la pagina de nosotros
*/
#informacion {
    background-color: var(--blanco);
}

.informacion {
    position: relative;
    padding: 1rem;
    display: flex;
    height: 100dvh;
    width: 100%;

    /* backface-visibility: hidden;
    will-change: overflow; */
    overflow: hidden;

    /* Hide scrollbar for IE, Edge and Firefox */
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
}

/* Hide scrollbar for Chrome, Safari and Opera */
.informacion::-webkit-scrollbar {
    display: none;
}

.informacion section {
    padding: 0 1rem;
}

.info-left-col {
    color: var(--blanco);
    padding: 0 .5rem;
    overflow: auto;
    height: auto;
    -webkit-overflow-scrolling: touch;
    -ms-overflow-style: none;
    width: 20%;
    border-right-style: solid;
    border-width: 1px;
    border-color: var(--blanco);
    background: var(--negro);
}

.info-left-col a {
    text-decoration: underline;
    color: var(--blanco);
}


.info-right-col {
    padding: 0 10px;
    overflow: auto;
    height: auto;
    -webkit-overflow-scrolling: touch;
    -ms-overflow-style: none;
    width: 75%;
}

.info-right-col h3 {
    font-size: 1.2rem;
    /* padding-bottom: 2rem; */
}

.justify {
    text-align: justify;
}

.ti-conmigo {
    width: 100%;
    height: 3rem;
    margin-top: 2rem;
    color: #d9d9d9;
    background-color: var(--negro);
    border-radius: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 6px 6px 10px rgba(26, 26, 26, .8),
    -6px -6px 10px rgba(13, 13, 13, .7);
}
.ti-conmigo svg {
    height: 1.2rem;
    width: 1.2rem;
}
.ti-conmigo a {
    color: #fff;
}
.ti-conmigo a:hover {
    color: #666;
}

.latido {
    animation: heartbeat 1.5s infinite ease-in-out;
}

@keyframes heartbeat {
    10% {
        transform: scale(.85)
    }

    20% {
        transform: scale(1)
    }

    40% {
        transform: scale(.85)
    }

    60% {
        transform: scale(1)
    }
}



/* 

    Adapatación a dispositivos móviles

*/
@media (max-width: 768px) {

    /* Menu de navegación */

    #menu-btn {
        display: inline-block;
    }

    .menu-header {
        left: 0rem;
        justify-content: space-around;
    }
    
    .menu-header .navbar {
        flex-direction: column;
        align-items: center;
        position: absolute;
        top: 100%;
        /* right: -180%; */
        left: -150%;
        background: var(--negro);
        width: 90dvw;
        transition: all .5s ease;
    }
    
    .menu-header .navbar.active {
        /* right: 0; */
        left: 1rem;
    }

    .menu-header .navbar a {
        color: var(--blanco);
        display: block;
        margin: 1rem;
        padding: .5rem;
        font-size: 1em;
    }
    
    .menu-header .icons img {
        margin: 0 2rem 0 0;
        padding: 0;
    }
    
    .menu-header .search-form {
        top: 110%;
        left: 2rem;
        right: 4rem;
    }
    
    .menu-header .user-access {
        top: 110%;
        right: 0rem;
        width: 90vw;
    }

    #search-btn {
        position: absolute;
        top: -2.5rem;
        left: 0;
    }

    #search-btn input {
        width: auto;
    }
    
    /*
    .menu-header .user-access.active {
        background-color: rgba(0,0,0,0.9);
        left: 1rem;
    }
    
    .menu-header .cart-items-container {
        top: 110%;
        width: 90vw;
    }
    
    .menu-header .cart-items-container.active {
        color: var(--blanco);
        background-color: rgba(0,0,0,0.9);
        left: 1rem;
    }
    */
    
    section {
        padding: 3rem 1rem;
    }

    section h2 {
        font-size: 1.25em;
    }

    .boletin {
        display: none;
    }

    .hero {
        margin: 0;
        padding: 140px 0 2rem 0;
        /* padding: 0; */
        /* padding-top: 30dvh; */
        /* min-height: 145dvh; */
    }

    .hero-text {
        padding: 0 1rem;
    }

    .hero-text h1 {
        font-size: 2rem;
    }

    .hero-text p {
        font-size: 1.1em;
    }

    .slider {
        margin: 1rem 0;
    }
    
    .slider img {
        border-radius: 0px;
    }    

    .hero-img {
        display: none;
    }

    .main-header {
        min-height: 70dvh;
    }

    .btn {
        letter-spacing: 0px;
    }

   .faq-l, .faq-r {
        padding: 0;
    }

    #contacto {
        padding: 0rem;
    }

    .info-contacto {
        padding: 3rem 1rem;
    }

    .contact-form {
        padding: 1rem;
    }

    .header-text-mobile h1 {
        font-size: 2em;
        margin: 1rem auto;
    }

    #faq h3 {
        position: relative;
        text-align: center;
        transform: rotate(0deg);
        font-size: 1.25em;
        margin-bottom: 4rem;
    }
    
    #faq h3::before {
        content: '';
        position: absolute;
        bottom: 0;
        width: 38px;
        height: 3px;
        background-color: var(--negro);
    }

    #detalle-articulos {
        padding: 3rem 1rem;
    }

    #detalle-imagen {
        width: 100%;
        overflow: hidden;
    }

    .opiniones-area {
        padding: 4rem 0 1rem 0;
    }

    .menu-header .user-access,
    .menu-header .user-signup,
    .menu-header .user-forgot-pwd
    {
        width: 90%;
        right: 1rem;
    }
    
    .step1,
    .step2
    {
        font-size: .9em;
        padding: .5rem 1rem;
    }

    .step1 span,
    .step2 span
    {
        width: 24px;
        height: 24px;
    }

    .datos-envio {
        margin: 0;
    }

    .datos-envio h3 {
        text-wrap: balance;
        width: 100%;
        text-align: center;
    }

    .datos-envio input,
    .datos-envio select,
    .datos-envio textarea
    {
        width: 100%;
    }

    .datos-envio input[name="cp"] {
        width: 50%;
    }

    .ok-datos-envio {
        grid-template-columns: 1fr;
    }

    .total-compra{
        grid-template-columns: 50% 50%;
    }

    #receipt {
        width: 100%;
        margin: 0;
    }
      
    .titulo-seguro {
        padding: 6rem 1rem 1rem 1rem;
    }

    .ti-conmigo {
        border-radius: 0;
        width: 100dvw;
        font-size: .9em;
        padding: 1rem 0;
        height: auto;
        text-align: center;
    }

    .ti-conmigo p {
        text-wrap: balance;
    }

}